:root {
	--tmst-main-cards-gap: 20px;
	/* 40px - паддинги вокруг контейнера */
	/* максимум 3 карточки в ряд */
	/* Делаем запас в 20px, чтобы карточки немного сжимались */
	--tmst-main-card-min-width: calc((var(--tmst-container-width) - 40px - var(--tmst-main-cards-gap) * 2) / 3 - 20px);
}

.tmst-main {
	font-family: inherit;
	font-size: 16px;
	margin-bottom: 3em;
}

.tmst-main__cards-container > * + * {
	margin-top: var(--tmst-main-cards-gap);
}

/* Карточки располагаются в один ряд */
/* При переносе сохраняют ширину */
/* Сделано на grid, flex как фоллбэк */
.tmst-main__cards {
	position: relative;
	max-width: 100%;
	z-index: 2;
	color: var(--text-color);
	display: -webkit-flex;
	display: flex;
	-webkit-flex-wrap: wrap;
	flex-wrap: wrap;
	-webkit-align-items: stretch;
	align-items: stretch;
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(var(--tmst-main-card-min-width), 1fr));
	gap: 10px;
	gap: var(--tmst-main-cards-gap);
}

.tmst-main__card {
	/* Вычитаем gap */
	flex: 1 1 var(--tmst-main-card-min-width);
	min-height: 240px;
	min-width: var(--tmst-main-card-min-width);
	display: flex;
	flex-direction: column;
	position: relative;
	border-radius: var(--box-radius);
	color: var(--text-color);
	box-sizing: border-box;
}

.tmst-main__card:not(.tmst-main__active-orders-card) {
	background-color: var(--box-background-color);
}

.tmst-main__card__body .tmst-main__card {
	min-height: 0;
}

.tmst-main__card_full {
	-webkit-flex: 1 0 100%;
	flex: 1 0 100%;
	grid-column: 1 / -1;
}

.tmst-main__card > *:empty {
	display: none;
}

.tmst-main__card__header,
.tmst-main__card__body,
.tmst-main__card__footer {
	padding-left: 30px;
	padding-right: 30px;
}

.tmst-main__card__header {
	padding-top: 26px;
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 6px;
}

.tmst-main__card__header_underline {
	padding-bottom: 16px;
	border-bottom: 1px solid var(--border-color);
}

.tmst-main__card-orders > .tmst-main__card__body {
	padding-top: 0;
}

.tmst-main__card-orders .tmst-main__card__header,
.tmst-main__card-orders .tmst-main__card__body {
	padding-left: unset;
	padding-right: unset;
	margin-right: 30px;
	margin-left: 30px;
}

.tmst-main__active-orders-card .tmst-main__card__header,
.tmst-main__active-orders-card .tmst-main__card__body,
.tmst-main__active-orders-card .tmst-main__card__footer {
	padding-left: unset;
	padding-right: unset;
	margin-right: 0;
	margin-left: 0;
}

.tmst-main__active-orders-card .tmst-main__card__footer {
	padding-bottom: 0;
}

.tmst-main__active-orders-card {
	border-radius: 0;
	border-bottom: 1px solid var(--border-color);
}

.tmst-main__active-orders-card:last-child {
	border-bottom: none;
}

.tmst-main__card__body {
	padding-top: 16px;
	padding-bottom: 1.5rem;
	height: 100%;
	display: flex;
	flex-direction: column;
	text-decoration: none;
	color: var(--text-color);
}

.tmst-main__card__footer {
	margin-top: auto;
	padding-bottom: 25px;
	display: flex;
	align-items: center;
	gap: 12px;
}

.tmst-main__card__body + .tmst-main__card__footer {
	padding-top: 0;
}

.tmst-main__card__title {
	color: var(--text-color);
	font-weight: 400;
	font-size: 1.125rem;
	line-height: 1.6;
}

.tmst-main__card__link {
	font-family: inherit;
	text-decoration: none;
	font-size: 1rem;
	width: -webkit-fit-content;
	width: fit-content;
	text-wrap: nowrap;
	background-color: unset;
	border: none;
	outline: none;
	cursor: pointer;
	padding: 0;
	margin: 0;
	display: flex;
	align-items: center;
	gap: 6px;
}

.tmst-main__card__footer-link {
	display: block;
	width: 100%;
	padding: 16px 10px;
	background: #f7f7f7;
	border-radius: 4px;
	font-family:
		'TildaSans',
		'Arial',
		Roboto,
		'Open Sans',
		sans-serif,
		-apple-system,
		BlinkMacSystemFont,
		'Segoe UI',
		Oxygen,
		Cantarell,
		'Helvetica Neue';
	font-style: normal;
	font-weight: 400;
	font-size: 16px;
	line-height: 19px;
	text-align: center;
	text-decoration: none;
	color: #000;
}

.tmst-main__card__footer-link:hover {
	color: #fa876b;
}

.tmst-main__card__link > svg {
	margin-top: 3px;
}

.tmst-main__card__link_secondary {
	opacity: 0.5;
}

.tmst-main__text-decoration-none {
	cursor: pointer;
	text-decoration: none;
}

.tmst-main__card__fit-content {
	width: fit-content;
}

/* Переопределяем */
#app .tmst-main__card__title {
	font-weight: 600;
}

#app .tmst-main__card__link {
	color: #000;
}

#app .tmst-main__card__link:hover {
	color: #fa876b;
}

/* Заголовок в заказе */
.tmst-main__order__header {
	display: flex;
	align-items: center;
	margin-bottom: 16px;
}

.tmst-main__order__details {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	overflow: hidden;
}

.tmst-main__order__info {
	margin-right: 1.4rem;
	text-decoration: none;
	color: var(--text-color);
	font-size: 1rem !important;
}

.tmst-main__order__statuses {
	display: flex;
	flex-wrap: wrap;
	margin-left: auto;
	gap: 6px;
}

.tmst-main__order__price {
	line-height: 1.6;
	font-weight: 600 !important; /*перебиваем стиль для [data-field="tlk-text"]*/
	white-space: nowrap;
	padding-left: 0.5rem;
	margin-left: auto;
	color: var(--text-color);
	text-decoration: none;
	font-size: 1rem !important;
}

.tmst-main__comment {
	flex: 1;
	border-radius: var(--box-radius);
	/* паддинги по 20px */
	max-width: calc(var(--tmst-container-width, 1199px) - 40px);
	padding: 26px 30px;
	z-index: 2;
	margin-bottom: 50px;
}

.tmst-main__order__comment {
	border-radius: 4px;
	padding: 24px;
}

.tmst-main__comment,
.tmst-main__comment-title {
	font-weight: 400;
}

.tmst-main__order__comment,
.tmst-main__order__comment-title {
	font-weight: 500;
}

.tmst-main__comment,
.tmst-main__order__comment {
	color: #333;
	line-height: 1.35;
	background: #fff9e7;
}

.tmst-main__order__comment {
	margin-top: 20px;
}

.tmst-main__comment-title,
.tmst-main__order__comment-title {
	font-size: 12px;
	opacity: 0.5;
	letter-spacing: 0.24px;
	text-transform: uppercase;
	margin-bottom: 8px;
}

.tmst-main__comment-text,
.tmst-main__order__comment-text {
	font-size: 17px;
	overflow-wrap: break-word;
}

.tmst-main__address-name {
	font-size: 14px !important;
	opacity: 0.5;
	margin-bottom: 8px;
}

.tmst-main__address {
	position: relative;
	overflow: hidden;
	text-overflow: ellipsis;
	display: block;
	text-wrap: nowrap;
	font-size: 1rem !important;
}

.tmst-main__order__profile {
	font-size: 1rem !important;
}

.tmst-main__order__profile-name {
	margin-bottom: 8px;
}

@media all and (max-width: 1000px) {
	.tmst-main {
		font-size: 14px;
	}
}

@media all and (max-width: 450px) {
	.tmst-main__cards-container {
		--tmst-main-card-min-width: 200px;
	}
}

/* TODO: Стили перенесены из tilda-members-resources-pagelist.css */
.tlk-resources {
	position: relative;
	margin-bottom: 50px;
}

.tlk-resources__container {
	position: relative;
	max-width: var(--tmst-container-width, 1199px);
	margin: 0 auto;
	padding: 0px 20px;
	z-index: 2;
}

.tlk-resources__wrap {
	min-height: 100%;
	padding: 26px 30px;
	background-color: var(--box-background-color);
	border-radius: var(--box-radius);
}

.tlk-resources__wrap > div + div {
	margin-top: 50px;
}

.tlk-resources__text-top {
	margin-bottom: 1.6rem;
}

.tlk-resources__text-bottom {
	margin-top: 1.6rem;
}

.tlk-resources__item + .tlk-resources__item {
	margin-top: 25px;
}

.tlk-resources__title {
	font-weight: 700;
}

.tlk-resources__title span {
	color: rgba(0, 0, 0, 0.4);
	font-size: 14px;
	font-weight: 300;
}

#app .tlk-resources__groups-title-link {
	text-decoration: none;
	color: #333;
}

#app .tlk-resources__groups-title-link:hover {
	color: #fa876b;
}

.tlk-resources__groups-title-link-icon {
	display: none;
	position: relative;
	top: 3px;
	right: 0;
	width: 16px;
	height: 16px;
	margin-left: 4px;
}

.tlk-resources__groups-title-link-icon .st0 {
	stroke: #000;
	stroke-width: 2;
	stroke-miterlimit: 10;
}

.tlk-resources__groups-pages {
	margin-top: 10px;
}

.tlk-resources__groups-pages-item + .tlk-resources__groups-pages-item {
	margin-top: 6px;
}

#app .tlk-resources__groups-pages-item-link {
	display: inline;
	vertical-align: middle;
	text-decoration: none;
	color: #333;
	-webkit-transition: color 0.3s ease-in-out;
	-o-transition: color 0.3s ease-in-out;
	transition: color 0.3s ease-in-out;
	margin-right: 4px;
	margin-top: -2px;
}

#app .tlk-resources__groups-pages-item-link:hover {
	color: #fa876b;
}

.tlk-resources__groups-pages-item-icon {
	display: inline-block;
	width: 15px;
	height: 15px;
	margin-bottom: 2px;
	margin-right: 4px;
	vertical-align: middle;
}

.tlk-resources__empty {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	justify-content: center;
	-webkit-box-align: center;
	-ms-flex-align: center;
	align-items: center;
}

.tlk-resources__empty-wrap {
	width: 100%;
	text-align: center;
}

.tlk-resources__empty-image {
	margin-bottom: 30px;
}

.tlk-resources__empty-text {
	max-width: 75%;
	margin: 0 auto;
	font-size: 18px;
	line-height: 1.5;
	text-align: center;
}

.tlk-app-bg {
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	z-index: 1;
}

.tlk-resources__text-top figure,
.tlk-resources__text-bottom figure {
	margin: 12px 0px;
}

.tlk-resources__text-top .t-redactor__video-container,
.tlk-resources__text-bottom .t-redactor__video-container {
	position: relative;
	width: 100%;
	height: 0px;
	padding-bottom: 56.5%;
	overflow: hidden;
}

.tlk-resources__text-top .t-redactor__video-container iframe,
.tlk-resources__text-bottom .t-redactor__video-container iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.tmst-products__item-detail-info {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	max-width: 75%;
}

.tmst-products__title {
	display: -webkit-box;
	margin-top: 2.5px;
	margin-left: 7px;
	color: var(--text-color);
	text-decoration: none;
	font-size: 1rem;
	font-weight: 400;
	-webkit-line-clamp: 2;
	line-clamp: 2;
	max-height: 48px;
	line-height: 24px;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
}

#app .tmst-main-breadcrumbs,
#app .tlk-resources,
#app .tmst-container {
	z-index: 2;
}
